declare const _default: import("@vue/runtime-core").DefineComponent<{
    _constants: {
        type: ObjectConstructor;
        default: () => {
            defaultNodeConfig: {
                lazy: boolean;
                load: null;
                isLeaf: string;
                afterLoad: null;
                currentNodeKey: null;
                checkStrictly: boolean;
                checkDescendants: null;
                defaultCheckedKeys: null;
                defaultExpandedKeys: null;
                autoExpandParent: null;
                defaultExpandAll: null;
                filterNodeMethod: null;
            };
        };
    };
    data: {
        type: ArrayConstructor;
        default: () => never[];
    };
    modelValue: (StringConstructor | NumberConstructor | ArrayConstructor)[];
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    valueField: {
        type: StringConstructor;
        default: string;
    };
    textField: {
        type: StringConstructor;
        default: string;
    };
    textField2: {
        type: StringConstructor;
        default: string;
    };
    textField3: {
        type: StringConstructor;
        default: string;
    };
    title: StringConstructor;
    textSplit: {
        type: StringConstructor;
        default: string;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    customClass: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
    ellipsis: {
        type: BooleanConstructor;
        default: boolean;
    };
    searchConfig: {
        type: ObjectConstructor;
        default: () => {
            options: never[];
            searchMethod: null;
            openSearchSlot: boolean;
        };
    };
    childrenField: {
        type: StringConstructor;
        default: string;
    };
    nodeConfig: {
        type: ObjectConstructor;
        default: () => {
            lazy: boolean;
            load: null;
            isLeaf: string;
            afterLoad: null;
            currentNodeKey: null;
            checkStrictly: boolean;
            checkDescendants: null;
            defaultCheckedKeys: null;
            defaultExpandedKeys: null;
            autoExpandParent: null;
            defaultExpandAll: null;
            filterNodeMethod: null;
        };
    };
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    emitPath: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, {
    t: (this: any, path: any, options?: any) => any;
    vm: any;
    f: (props: any, attrs?: {}) => {};
    a: (attrs: any, filters: any, include: any) => {};
    d: (props: any) => void;
    dp: (props: any) => void;
    gcls: (key: any) => any;
    m: (...cssClasses: any[]) => string;
}, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, ("click" | "close" | "update:modelValue" | "update:visible" | "confirm" | "update:text" | "search-click")[], "click" | "close" | "update:modelValue" | "update:visible" | "confirm" | "update:text" | "search-click", import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    _constants: {
        type: ObjectConstructor;
        default: () => {
            defaultNodeConfig: {
                lazy: boolean;
                load: null;
                isLeaf: string;
                afterLoad: null;
                currentNodeKey: null;
                checkStrictly: boolean;
                checkDescendants: null;
                defaultCheckedKeys: null;
                defaultExpandedKeys: null;
                autoExpandParent: null;
                defaultExpandAll: null;
                filterNodeMethod: null;
            };
        };
    };
    data: {
        type: ArrayConstructor;
        default: () => never[];
    };
    modelValue: (StringConstructor | NumberConstructor | ArrayConstructor)[];
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    valueField: {
        type: StringConstructor;
        default: string;
    };
    textField: {
        type: StringConstructor;
        default: string;
    };
    textField2: {
        type: StringConstructor;
        default: string;
    };
    textField3: {
        type: StringConstructor;
        default: string;
    };
    title: StringConstructor;
    textSplit: {
        type: StringConstructor;
        default: string;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    customClass: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
    ellipsis: {
        type: BooleanConstructor;
        default: boolean;
    };
    searchConfig: {
        type: ObjectConstructor;
        default: () => {
            options: never[];
            searchMethod: null;
            openSearchSlot: boolean;
        };
    };
    childrenField: {
        type: StringConstructor;
        default: string;
    };
    nodeConfig: {
        type: ObjectConstructor;
        default: () => {
            lazy: boolean;
            load: null;
            isLeaf: string;
            afterLoad: null;
            currentNodeKey: null;
            checkStrictly: boolean;
            checkDescendants: null;
            defaultCheckedKeys: null;
            defaultExpandedKeys: null;
            autoExpandParent: null;
            defaultExpandAll: null;
            filterNodeMethod: null;
        };
    };
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    emitPath: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    "onUpdate:text"?: ((...args: any[]) => any) | undefined;
    "onSearch-click"?: ((...args: any[]) => any) | undefined;
}, {
    data: unknown[];
    ellipsis: boolean;
    visible: boolean;
    mask: boolean;
    tiny_mode_root: boolean;
    _constants: Record<string, any>;
    textField: string;
    valueField: string;
    showHeader: boolean;
    lockScroll: boolean;
    searchConfig: Record<string, any>;
    childrenField: string;
    textSplit: string;
    emitPath: boolean;
    nodeConfig: Record<string, any>;
    textField2: string;
    textField3: string;
}, {}>;
export default _default;
